Subject: Re: [PATCH v1 net-next 0/5] net: optimize TX throughput and efficiency

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Mon, 13 Oct 2025 18:23:18 +0200

Eric Dumazet <[email-masked]> writes:

> In this series, I replace the busylock spinlock we have in
> __dev_queue_xmit() and use lockless list (llist) to reduce
> spinlock contention to the minimum.
>
> Idea is that only one cpu might spin on the qdisc spinlock,
> while others simply add their skb in the llist.
>
> After this series, we get a 300 % (4x) improvement on heavy TX workloads,
> sending twice the number of packets per second, for half the cpu
> cycles.

Figured I might as well take a closer look at the rest of the series. So
for the whole thing:

Reviewed-by: Toke Høiland-Jørgensen <[email-masked]>